--- a/Rakefile	2015-08-11 22:16:04.474139810 +0100
+++ b/Rakefile	2015-08-11 22:19:01.024398679 +0100
@@ -1,14 +1,11 @@
 require "rake/testtask"
 
-ENV["REDIS_BRANCH"] ||= "unstable"
-
 REDIS_DIR = File.expand_path(File.join("..", "test"), __FILE__)
 REDIS_CNF = File.join(REDIS_DIR, "test.conf")
 REDIS_CNF_TEMPLATE = File.join(REDIS_DIR, "test.conf.erb")
 REDIS_PID = File.join(REDIS_DIR, "db", "redis.pid")
 REDIS_LOG = File.join(REDIS_DIR, "db", "redis.log")
 REDIS_SOCKET = File.join(REDIS_DIR, "db", "redis.sock")
-BINARY = "tmp/redis-#{ENV["REDIS_BRANCH"]}/src/redis-server"
 
 task :default => :run
 
@@ -16,9 +13,7 @@
 task :run => [:start, :test, :stop]
 
 desc "Start the Redis server"
-task :start => [BINARY, REDIS_CNF] do
-  sh "#{BINARY} --version"
-
+task :start => [REDIS_CNF] do
   redis_running = \
   begin
     File.exists?(REDIS_PID) && Process.kill(0, File.read(REDIS_PID).to_i)
@@ -27,10 +22,14 @@
     false
   end
 
-  unless redis_running
-    unless system("#{BINARY} #{REDIS_CNF}")
-      abort "could not start redis-server"
-    end
+  unless system("which redis-server")
+    STDERR.puts "redis-server not in PATH"
+    exit 1
+  end
+
+  unless system("redis-server #{REDIS_CNF}")
+    STDERR.puts "could not start redis-server"
+    exit 1
   end
 
   at_exit do
@@ -52,20 +51,6 @@
   FileUtils.rm_f(REDIS_CNF)
 end
 
-file BINARY do
-  branch = ENV.fetch("REDIS_BRANCH")
-
-  sh <<-SH
-  mkdir -p tmp;
-  cd tmp;
-  rm -rf redis-#{branch};
-  wget https://github.com/antirez/redis/archive/#{branch}.tar.gz -O #{branch}.tar.gz;
-  tar xf #{branch}.tar.gz;
-  cd redis-#{branch};
-  make
-  SH
-end
-
 file REDIS_CNF => [REDIS_CNF_TEMPLATE, __FILE__] do |t|
   require 'erb'
 
